<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>org.dromara</groupId>
        <artifactId>ruoyi-mall</artifactId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>ruoyi-mall-trade</artifactId>

    <description>
        ruoyi-mall-trade 交易中心模块
    </description>

    <dependencies>
        <!-- 通用工具-->
        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-core</artifactId>
        </dependency>

        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-json</artifactId>
        </dependency>

        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-doc</artifactId>
        </dependency>

        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-security</artifactId>
        </dependency>

        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-log</artifactId>
        </dependency>

        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-excel</artifactId>
        </dependency>

        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-idempotent</artifactId>
        </dependency>

        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-redis</artifactId>
        </dependency>

        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-satoken</artifactId>
        </dependency>

        <!-- 商品中心模块 -->
        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-mall-product</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 支付模块 -->
        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-pay</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 营销中心模块 -->
        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-mall-promotion</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 优惠券中心模块 -->
        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-mall-coupon</artifactId>
            <version>${revision}</version>
        </dependency>

    </dependencies>

</project>
